# $Revision: 1.24 $, $Date: 2007-11-18 16:31:07 $
# TODO:
# - update to 21.6
# - executable should be sgid games?
Summary:	Superior chess program by Bob Hyatt for Unix systems
Summary(pl.UTF-8):	Jeden z lepszych programów szachowych dla uniksów autorstwa Boba Hyatta
Name:		crafty
Version:	20.1
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	ftp://ftp.cis.uab.edu/pub/hyatt/source/%{name}-%{version}.zip
# Source0-md5:	1d88571c150544c3ed25247127bfc5bd
Source1:	ftp://ftp.cis.uab.edu/pub/hyatt/documentation/%{name}.doc.ascii
# NoSource1-md5:	5fd73027a1de1674763562e1987197ba
Source2:	ftp://ftp.cis.uab.edu/pub/hyatt/documentation/%{name}.doc.ps
# Source2-md5:	6cef69aa2f9ea1ceb74b6c14edc8291f
Source3:	%{name}.desktop
Source4:	xchess.png
Source5:	%{name}-misc.tar.bz2
Source6:	%{name}-bitmaps.tar.gz
Patch0:		%{name}-paths.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-MDK.patch
URL:		http://www.limunltd.com/crafty/
BuildRequires:	libstdc++-devel
Provides:	chessprogram
Provides:	chess_backend
Suggests:	xboard
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
Crafty is a Unix chess program, distributed as source by its author,
Bob Hyatt. The program plays at about 2200 strength and frequently
beats GNU Chess on the same hardware.

%description -l pl.UTF-8
Crafty to uniksowy program szachowy rozpowszechniany w postaci
źródłowej przez autora - Boba Hyatta. Program gra z siłą około 2200 i
często wygrywa z GNU Chess na tym samym sprzęcie.

%prep
%setup -q -a5 -a6
%patch0 -p1
%patch1 -p1
%patch2 -p0
mv doc/read.me README
mv doc/* .
mv bitmaps/README.bitmaps .
rm -f bitmaps/gifs.tar
cp %{SOURCE1} %{SOURCE2} .

%{__perl} -pi -e 's@.*machine/builtins.*@@' chess.h

%build
asmobj=""
optarch=""
target="LINUX"
%ifarch %{ix86}
optarch="-DUSE_ASSEMBLY_A -DUSE_ASSEMBLY_B"
asmobj="X86-elf.o"
%endif
%ifarch alpha
target="ALPHA"
%endif
%{__make} crafty-make \
	target="$target" \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall -pipe -D_REENTRANT" \
	LDFLAGS="%{rpmldflags} -lpthread" \
	opt="-DCOMPACT_ATTACKS -DUSE_ATTACK_FUNCTIONS $optarch -DFAST" \
	asm="$asmobj"

sh make_books
# use large opening book
mv large_book.bin book.bin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_datadir}/%{name}/{bitmaps,sound,tb},/var/lib/%{name}}

install crafty $RPM_BUILD_ROOT%{_bindir}
install xcrafty $RPM_BUILD_ROOT%{_bindir}
install speak $RPM_BUILD_ROOT%{_bindir}/crafty-speak

install book.bin books.bin crafty.hlp $RPM_BUILD_ROOT%{_datadir}/%{name}
install bitmaps/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bitmaps
install tb/*.emd $RPM_BUILD_ROOT%{_datadir}/%{name}/tb

install crafty.6 $RPM_BUILD_ROOT%{_mandir}/man6
echo ".so crafty.6" > $RPM_BUILD_ROOT%{_mandir}/man6/xcrafty.6

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

touch $RPM_BUILD_ROOT/var/lib/%{name}/book.lrn \
	$RPM_BUILD_ROOT/var/lib/%{name}/position.{bin,lrn}

for file in book.lrn position.{bin,lrn}; do
	ln -s /var/lib/%{name}/$file $RPM_BUILD_ROOT%{_datadir}/%{name}/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc crafty.doc* crafty.faq README* small.txt start.pgn tournament.howto
%attr(755,root,root) %{_bindir}/crafty*
%attr(755,root,root) %{_bindir}/xcrafty
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.bin
%{_datadir}/%{name}/*.hlp
%{_datadir}/%{name}/*.lrn
%dir %{_datadir}/%{name}/bitmaps
%{_datadir}/%{name}/bitmaps/*.bm
%{_datadir}/%{name}/bitmaps/*.gif
%dir %{_datadir}/%{name}/tb
%{_datadir}/%{name}/tb/*.emd
%dir /var/lib/%{name}
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) /var/lib/%{name}/book.lrn
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) /var/lib/%{name}/position.bin
%attr(660,root,games) %config(noreplace) %verify(not md5 mtime size) /var/lib/%{name}/position.lrn
%{_mandir}/man6/*.6*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crafty.spec,v $
Revision 1.24  2007-11-18 16:31:07  blues
- rel.1 - put writable files in /var

Revision 1.23  2007-11-18 12:11:24  blues
- 20.1 - mostly rewritten, with patches and resources from MDK

Revision 1.22  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.20  2006/12/24 00:56:16  qboosh
- updated Source0 URL (but only zips there)

Revision 1.19  2006/11/07 22:22:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.18  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.17  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.16  2005/11/16 18:42:43  qboosh
- updated URLs

Revision 1.15  2005/07/28 12:25:47  blekot
- added URL

Revision 1.14  2005/03/25 14:47:35  qboosh
- updated Source URLs, removed dead ones

Revision 1.13  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.12  2004/07/04 13:45:24  adamg
- updated to 19.5

Revision 1.11  2004/07/02 21:00:51  adamg
- uncommented icon field
- added desktop file

Revision 1.10  2004/07/02 20:52:54  adamg
- updated to 18.15 (last release from v18 line)

Revision 1.9  2004/03/26 21:48:36  qboosh
- use optflags, portability fixes, simplified build dir

Revision 1.8  2004/03/26 20:38:08  qboosh
- some cleanups, pl

Revision 1.7  2003/12/13 23:30:30  adamg
- added -Makefile.patch (link .o files using g++, not gcc)
- added BuildRoot:
- builds, HGW if it works

Revision 1.6  2003/12/12 18:30:52  adamg
- fixed %%prep, now fails on build.

Revision 1.5  2003/11/20 16:27:52  havner
- grrr, work, please...

Revision 1.4  2003/11/20 16:23:44  ankry
- don't use distfiles for text files

Revision 1.3  2003/11/20 16:09:10  havner
- md5sums

Revision 1.2  2003/11/19 07:04:40  ankry
- some fixes, added md5

Revision 1.1  2003/11/18 18:10:01  havner
- [mass commit] almost raw, only adapterized, not tested yet
